%global srcname calendar

Name:           maya-calendar
Summary:        The official elementary calendar
Version:        0.4.1
Release:        2%{?dist}
License:        GPLv3+

URL:            https://github.com/elementary/%{srcname}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala

BuildRequires:  pkgconfig(champlain-0.12)
BuildRequires:  pkgconfig(champlain-gtk-0.12)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(folks)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(geocode-glib-1.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(granite) >= 0.5
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.11.6
BuildRequires:  pkgconfig(libecal-1.2) >= 3.8.0
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)

# maya-calendar also provides a generic symbolic icon (actions/calendar-go-today)
Requires:       hicolor-icon-theme


%description
A slim, lightweight GTK+3 calendar app written in Vala, designed for
elementary OS. Also looks and works great on other GTK+ desktops.


%package        devel
Summary:        The official elementary calendar (devel files)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
A slim, lightweight GTK+3 calendar app written in Vala, designed for
elementary OS. Also looks and works great on other GTK+ desktops.

This package contains the development files.


%prep
%autosetup -n %{srcname}-%{version}


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang maya-calendar


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.maya.desktop
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/org.pantheon.maya-daemon.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/org.pantheon.maya.appdata.xml


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f maya-calendar.lang
%doc AUTHORS README.md
%license COPYING

%{_bindir}/maya-calendar
%{_bindir}/maya-calendar-daemon

%{_libdir}/libmaya-calendar.so.0
%{_libdir}/libmaya-calendar.so.0.1
%{_libdir}/maya-calendar/

%{_datadir}/appdata/org.pantheon.maya.appdata.xml
%{_datadir}/applications/org.pantheon.maya.desktop
%{_datadir}/applications/org.pantheon.maya-daemon.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.maya.gschema.xml
%{_datadir}/icons/hicolor/scalable/actions/calendar-go-today.svg
%{_datadir}/maya-calendar/


%files          devel
%{_includedir}/maya-calendar/

%{_libdir}/libmaya-calendar.so
%{_libdir}/pkgconfig/maya-calendar.pc

%{_datadir}/vala/vapi/maya-calendar.deps
%{_datadir}/vala/vapi/maya-calendar.vapi


%changelog
* Sat Jan 06 2018 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-2
- Remove icon cache scriptlets, replaced by file triggers.

* Sat Dec 02 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1.
- Drop now redundant patches.
- Fetch sources from github instead of launchpad.
- Bump granite dependency to 0.5+.
- Add missing BuildRequires: libnotify.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-14
- Rebuild for granite soname bump.
- Add backported patch to fix builds with newer vala versions.
- Add upstream patch to fix builds with granite 0.5+.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-10
- Rename icon to match .desktop file.
- Ship branded .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com>
- Remove explicit BR: /usr/bin/pkgconfig.

* Mon Jan 23 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-9
- Bundle application icon. Explicitly Requires: /usr/bin/pkg-config.

* Sun Jan 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-8
- Mark COPYRIGHT as %%license as well.

* Sat Dec 31 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-7
- Clean up spec file.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-6
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-5
- Spec file cleanups.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-4
- Spec file cleanups.

* Tue Sep 27 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-3
- Validate all .desktop files.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-2
- Spec file cosmetics.

* Tue Sep 06 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.2-1
- Update to version 0.4.0.2.

* Mon Aug 15 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4.0.1-1
- Update to version 0.4.0.1.

* Sun Aug 14 2016 Fabio Valentini <decathorpe@gmail.com> - 0.4-1
- Update to version 0.4.


